# Multiplexer con matrice di caratteri

*nome del file sorgente: Multiplexer.java*

Il programma Multiplexer, legge in input:

1. una matrice di caratteri, detta *M*;
2. un array di interi, detto *S*.

*S* ha la funzione di selezionare alcuni valori dalla matrice *M*, secondo un meccanismo simile a quello di un multiplexer. Il meccanismo funziona come segue:

* ogni elemento di *S* indica una riga di *M*;
* l'elemento *S[j]* seleziona da *M* il carattere alla *j*-esima colonna letta e alla riga *S[j]*; ad esempio, se S[2]=3 verrà selezionato in *M* il carattere alla seconda colonna letta e alla riga 3;
* le colonne di *M* vengono lette (processate) una per una da destra verso sinistra e, per ogni colonna letta, l'elemento selezionato da *S* viene stampato sull'uscita.

Si implementi un programma Java che legga *M* e *S* assumendo che la matrice *M* abbia 4 righe e 5 colonne e che stampi i caratteri selezionati in uscita.

## Esempio

Data questa matrice *M*:

		a	t	j	e	l 
		r 	c 	l	t	y 
		o 	l 	e	q	s 
		d 	l	m	l	h

e questo vettore di selezione *S*:

		3	0	1	3	2

I caratteri selezionati per ciascuna colonna di *M* sono (tra parentesi quadre):
		
		a	t	j	[e]	l 
		r	c	[l]	t	y 
		[o]	l	e	q	s 
		d	[l]	m	l	[h]

la stringa in uscita sarà:

		h	e	l	l	o



## Esempio

Data questa matrice *M*:

		a	b	c	e	e
		r	g	h	i	n
		m	n	v	r	t
		u	e	v	i	p

e questo vettore di selezione *S*:

		1	0	2	3	1

I caratteri selezionati per ciascuna colonna di *M* sono (tra parentesi quadre):
		
		a	b	c	[e]	e
		[r]	g	h	i	[n]
		m	n	[v]	r	t
		u	[e]	v	i	p

la stringa in uscita sarà:

		n	e	v	e	r


