# Secure URL Parser 

*nome del file sorgente: surlparser.java*

Il programma surlparser, legge in input:

* una stringa rappresentante URL di un sito web.

Data in input una stringa URL il programma deve estrarre le seguenti informazioni:

* protocollo utilizzato nell'URL (e.g., http o https);
* host a cui ci si connette;
* eventuale percorso della risorsa all'interno del server;
* eventuali script del linguaggio utilizzato lato server, se esistono;
* eventuali parametri dello script, se esistono;
* controllo di sicurezza: se esistono i parametri controlla che nei parametri non ci sia codice javascript, nel caso ci sia codice javascript, stampa a video il messaggio, "Trovato attacco Cross-Site Scripting XSS".


## Esempio

Dato il seguente URL:

		http://gamebox.laser.di.unimi.it/aa1314_sec1_web2/recipes/show.py?f=antipasto.txt

il programma deve ritornare le seguenti informazioni:

		Protocollo: http
		Host: gamebox.laser.di.unimmi.it
		percorso delle risorse: /aa1314_sec1_web2/recipes/
		Script del linguaggio o risorsa: show.py
		parametri dello script: f=antipasto.txt 

È importante notare che tutti gli URL hanno la stessa struttura: 
    
* il primo parametro è il protocollo che finisce con *://*
* il secondo parametro è l'host e finisce dove troviamo */*
* il terzo parametro è il pathname delle risorse ed è un path sempre diviso da */*
* lo script inizia dove finiscono le risorse e termina con *.py* o con *.php* oppure la risorsa stessa *.html* se esiste
* i parametri dello script iniziano dopo il *?* e sono nella forma *variabile = valore*. 

Se il valore contiene
 		
		<script>qualcosa</script>

allora c'è un Cross-site scripting attack.

\newpage
        

## Esempio cross-site scripting 

		http://gamebox.laser.di.unimi.it/aa1314_sec1_web2/recipes/
		show.py? f=<script>alert("connected")</script>
		
		Protocollo: http
		Host: gamebox.laser.di.unimi.it
		percorso risorsa: /aa1314_sec1_web2/recipes/
		Script linguaggio: show.py
		parametri dello script: f=<script>alert("connected")</script>
		Rilevato Cross-Site scripting!!!!!
		

## Altri esempi di URLs

		URL: http://security.di.unimi.it/courses.html
       
		Protocollo: http
		Host: security.di.unimi.it
		percorso delle risorse: /
		Script del linguaggio o risorsa: courses.html

		URL: https://gamebox.laser.di.unimi.it/aa1314_sec1_web1/html-catch/catchme.php

		Protocollo: https
		Host: gamebox.laser.di.unimi.it
		percorso risorse: aa1314_sec1_web1/html-catch/
		Script del linguaggio o risorsa: catchme.php

       



